Bug 715366 - gnome-shell-extensions doesn't have complete SourceURL (comment)
gnome-shell-extensions doesn't have complete SourceURL (comment)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-22 12:28 EDT by Toshio Ernie Kuratomi
Modified: 2011-10-03 18:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 06:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2011-06-22 12:28:49 EDT
Description of problem:
Just noticed that the SourceURL comment doesn't have enough information to reproduce the tarball.  For instance, it uses a git repository that the user already has on their machine rather than the upstream git repo.

Additional info:

Add enough information in the comments so someone can checkout and create the tarball you used without knowing anything about where gnome-shell-extensions comes from.
Comment 1 Timur Kristóf 2011-06-22 20:06:17 EDT
The information you are requesting is already documented in the .spec file. In case that is not enough for you, please look at https://bugzilla.redhat.com/show_bug.cgi?id=708230#c17 (last comment).
Comment 2 Elad Alfassa 2011-06-23 02:21:42 EDT
Timur, simply add git clone git://git.gnome.org/gnome-shell-extensions to the comment, so that people who search for the repo wouldn't need to find it in bug reports.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Toshio Ernie Kuratomi 2011-06-27 12:08:26 EDT
(In reply to comment #2)
> Timur, simply add git clone git://git.gnome.org/gnome-shell-extensions to the
> comment, so that people who search for the repo wouldn't need to find it in bug
> reports.
> 
That and the revision information is exactly what's needed.  So adding a comment like this:

# git clone -r %{commit} git://git.gnome.org/gnome-shell-extensions


Reading the other bug you linked to, I also noticed that the release string is supposed to have the date followed by "git" optionally followed by the checkout hash like this:

Release: 1.20110528gitg63dd27c

and a subsequent update might look like:
Release: 2.20110627git9de42ac4

The main reason is that the Release string provides information to two audiences:
 * other packagers/people who are interested in the code.  Those people will be interested in the git hash.
 * end users who just want to know how current the package is compared to the latest tarball they saw announced on upstream's website/Debian's repositories, etc.

A less major reason is that upstream may switch version control systems in which case the dates portably establish the relative age of the packages' source tarballs across the transition whereas the hashes and revision numbers do not.  ie:
  
It's clear which checkout was more recent in the following:
  20110528git
  20110627hg

It's not clear which checkout was more recent without the dates:

  g63dd27cgit
  1ab733be9b6ehg

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
Comment 4 Michel Alexandre Salim 2011-09-12 06:44:22 EDT
Fixed in the rawhide / F-16 branch as of 3.1.91-1
Comment 5 Fedora Update System 2011-09-12 06:45:06 EDT
gnome-shell-extensions-3.1.91-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.1.91-1.fc16
Comment 6 Fedora Update System 2011-09-15 03:24:28 EDT
gnome-shell-extensions-3.1.91-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.1.91-2.fc16
Comment 7 Fedora Update System 2011-10-02 16:45:48 EDT
gnome-shell-extensions-3.1.91-3.20111001gite102c0c6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.1.91-3.20111001gite102c0c6.fc16
Comment 8 Fedora Update System 2011-10-03 18:37:46 EDT
gnome-shell-extensions-3.2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.2.0-1.fc16

Note You need to log in before you can comment on or make changes to this bug.